ONVIF::Analytics::Types::AnalyticsDeviceCapabilities(3)

NAME
ONVIF::Analytics::Types::AnalyticsDeviceCapabilities

DESCRIPTION
Perl data type class for the XML Schema defined complexType AnalyticsDeviceCapabilities from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   XAddr

•   RuleSupport

•   Extension

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::Analytics::Types::AnalyticsDeviceCapabilities
   XAddr =>  $some_value, # anyURI
   RuleSupport =>  $some_value, # boolean
   Extension =>  { # ONVIF::Analytics::Types::AnalyticsDeviceExtension
   },
 },

AUTHOR
Generated by SOAP::WSDL